<?php
/**
 *
 *
 * TrustPay - your payment highway
 *
 * @category Magento Payment Gateway Extension
 * @package TrustPay Payment Gateway
 * @author TrustPay
 * @license https://opensource.org/licenses/Apache-2.0
 * @link https://www.trustpay.eu
 */

namespace TrustPay\PaymentGateway\Model\Callback\Response;

/**
 * Class Resolver
 * @package TrustPay\PaymentGateway\Model\Callback\Response
 */
class Resolver
{
    const UNKNOWN_RESPONSE_MSG = 'Unknown response code';

    /**
     * @var array
     */
    protected $resultCodes;

    /**
     * Resolver constructor.
     * @param array $resultCodes
     */
    public function __construct(array $resultCodes = [])
    {
        $this->resultCodes = $resultCodes;
    }

    /**
     * @param $code
     * @return bool|mixed
     */
    public function getMessage($code)
    {
        return isset($this->resultCodes[$code]) ? __($this->resultCodes[$code]) : __(self::UNKNOWN_RESPONSE_MSG);
    }
}
